---
title: Account Verification
description: Validate a customer's bank account details using IFSC code and account number.
---

This api is for validating a customer's account details. We have to pass ifsc code, customer name, account number and customer mobile number in request. If the request have valid account details we will get a success response.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/verify-account
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| api-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| ifsc  required | Text  <br>(11) | IFSC code provided by bank | `SBIN0123456` |
| customer_name  optional | Text  <br>(100) | Name of the customer | `Rabindra` |
| account_number  required | Text  <br>(32) | Account number of the customer | `XXXX-XXXX-XXXX-8908` |
| customer_mobile  optional | Numeric  <br>(10) | Mobile number of the customer | `7xxxxxx456` |
| customvar  optional | Text | Any information passed in the request, which can be received in the response exactly as it was sent. We can pass multiple data in 'CustomVar' separated by the '|' symbol. Eg: 1234567|test|ABC1234 (length 120 max) |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric<br>(`3`) | 400- fail,200-success | `400,200` |
| message  required | Text | success, fail | `success,fail` |
| data  required | Text | { "accountNumber": "XXXX-XXXX-XXXX-8908", "ifsc": "SBIN0123456", "accountName": " ", "bankResponse": "Invalid Account Number", "bankTxnStatus": false } |

## Request Example

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/verify-account' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'ifsc=SBIN0123456' \
--data-urlencode 'customer_name=Rabindra' \
--data-urlencode 'account_number=XXXX-XXXX-XXXX-8908' \
--data-urlencode 'customer_mobile=7xxxxxx456'
```

### Success Response

```
{
    "status": "200",
    "message": "success",
    "data": {
        "accountNumber": "XXXX-XXXX-XXXX-8908",
        "ifsc": "SBIN0123456",
        "accountName": " ",
        "bankResponse": "Invalid Account Number",
        "bankTxnStatus": false
    }
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```